### Function

# Gimp Vectors import_from_string

since: 2.4

#### Declaration [src]

    gboolean
    gimp_vectors_import_from_string (
      GimpImage* image,
      const gchar* string,
      gint length,
      gboolean merge,
      gboolean scale,
      gint* num_vectors,
      GimpVectors*** vectors
    )

#### Description [src]

Import paths from an SVG string.

This procedure works like `gimp_vectors_import_from_file()` but takes a string rather than reading the SVG from a file. This allows you to write scripts that generate SVG and feed it to GIMP.

Available since: 2.4

#### Parameters

`image`

  Type: `GimpImage`

  The image.

  The data is owned by the caller of the function.

`string`

  Type: `const gchar*`

  A string that must be a complete and valid SVG document.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`length`

  Type: `gint`

  Number of bytes in string or -1 if the string is NULL terminated.

`merge`

  Type: `gboolean`

  Merge paths into a single vectors object.

`scale`

  Type: `gboolean`

  Scale the SVG to image dimensions.

`num_vectors`

  Type: `gint*`

  The number of newly created vectors.

  The argument will be set by the function.

`vectors`

  Type: An array of `None`

  The list of newly created vectors.

  The argument will be set by the function.
  The length of the array is specified in the `num_vectors` argument.
  The called function takes ownership of the data container, but not the data inside it.

#### Return value

Type: `gboolean`

TRUE on success.